%global packname  hgu95av2cdf

Name:             R-%{packname}
Version:          2.6.0
Release:          1%{?dist}
Summary:          HG_U95Av2.CDF data file

Group:            Applications/Engineering 
# LGPL implies LGPLc2+
License:          LGPLv2+
URL:              http://www.bioconductor.org/packages/2.6/data/annotation/html/hgu95av2cdf.html
Source0:          http://www.bioconductor.org/packages/2.6/data/annotation/src/contrib/%{packname}_%{version}.tar.gz
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:        noarch 

Requires:         R-utils 

Requires:         R-core
BuildRequires:    R-devel
BuildRequires:    tex(latex)

%description
Environment representing the HG_U95Av2.CDF file.


%prep
%setup -q -c -n %{packname}


%build


%install
rm -rf %{buildroot}

# noarch -> Architecture independent package
mkdir -p %{buildroot}%{_datadir}/R/library 
R CMD INSTALL %{packname} -l %{buildroot}%{_datadir}/R/library
# Clean up in advance of check
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -rf %{buildroot}%{_datadir}/R/library/R.css


%check
R CMD check %{packname}


%clean
rm -rf %{buildroot}


%files
%defattr(-, root, root, -)

# noarch
%dir %{_datadir}/R/library/%{packname}/
%doc %{_datadir}/R/library/%{packname}/html/
%doc %{_datadir}/R/library/%{packname}/DESCRIPTION
%{_datadir}/R/library/%{packname}/INDEX
%{_datadir}/R/library/%{packname}/Meta/
%{_datadir}/R/library/%{packname}/R/
%{_datadir}/R/library/%{packname}/help/
%{_datadir}/R/library/%{packname}/data/


%changelog
* Tue May 11 2010 Sandro Mathys <red at fedoraproject.org> - 2.6.0-1
- initial package
